@echo off
goto start

:pfade
rem %%%% Adjust Paths in the following two lines: (In folgenden zwei Zeilen Pfade einstellen:)
set lccpath=D:\Compile\lcc32
set matlabpath=D:\MATLAB\R2007b
rem %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
set path=%lccpath%\bin;%path%
set lccinclude=-I"%lccpath%\include;%lccpath%\include\sys"
set lccopt=-c -A -Zp8 -ansic -O -DMATLAB_MEX_FILE -DNDEBUG
set lnklib="%lccpath%\lib\libf77.lib" "%matlabpath%\extern\lib\win32\lcc\libmx.lib" "%matlabpath%\extern\lib\win32\lcc\libmex.lib" "%matlabpath%\extern\lib\win32\lcc\libmat.lib"
if exist "%matlabpath%\extern\lib\win32\lcc\libmatlbmx.lib" set lnklib=%lnklib% "%matlabpath%\extern\lib\win32\lcc\libmatlbmx.lib"
set matlabinclude=-I"%matlabpath%\extern\include" 
goto compile

:start
if not "%lccpath%"=="" goto compile
goto pfade

:compile
rem Fortran
f2c -A dop853.f
pause
rem Options
lcc %lccopt% %lccinclude% -Fooptions.obj %matlabinclude% options.c

rem dop853
lcc %lccopt% %lccinclude% -Fodop853Mex.obj %matlabinclude% dop853Mex.c
lcc -c -Zp8 %lccinclude% -DMATLAB_MEX_FILE "%matlabpath%\sys\lcc\mex\lccstub.c" -Fo_libstub.obj 
lrc %lccinclude% -fo"mexversion.res"  "%matlabpath%\extern\include\mexversion.rc" 
lcclnk -o dop853Mex.dll -dll "%matlabpath%\extern\lib\win32\lcc\mexFunction.def" -s _libstub.obj dop853Mex.obj dop853.obj options.obj mexversion.res %lnklib%

rem Cleanup (Aufrumen)
if exist dop853.c del dop853.c
if exist dop853.obj del dop853.obj 

if exist options.obj del options.obj

if exist dop853Mex.exp del dop853Mex.exp
if exist dop853Mex.lib del dop853Mex.lib
if exist dop853Mex.obj del dop853Mex.obj

if exist mexversion.res del mexversion.res
if exist _libstub.obj del _libstub.obj
