x = invT*(W');
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%              Write inputAct1.txt
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
q1 = real(x(1,:)+x(2,:));  p1 = -real(i*(x(1,:)-x(2,:)));
fid = fopen(['inputAct1_',extstr,'.txt'], 'wt');
fprintf(fid, '%14.10f %14.10f %14.10f\n',...
    [tau'; q1; p1]);
fclose(fid);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%              Write inputAct2.txt
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
q2 = real(x(3,:)+x(4,:));  p2 = real(i*(x(3,:)-x(4,:)));
fid = fopen(['inputAct2_',extstr,'.txt'], 'wt');
fprintf(fid, '%14.10f %14.10f %14.10f\n',...
    [tau'; q2; p2]);
fclose(fid);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%              Write inputAct3.txt
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
q3 = real(x(5,:)+x(6,:));  p3 = -real(i*(x(5,:)-x(6,:)));
fid = fopen(['inputAct3_',extstr,'.txt'], 'wt');
fprintf(fid, '%14.10f %14.10f %14.10f\n',...
    [tau'; q3; p3;]);
fclose(fid);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%----------- Frequency Modulation Indicator (FMI) ----------------------
d = size(W(:,1),1);
numdata = 2^(floor(log2(d)));
threshold = 16;
FMFT_pick = numdata/2;
%---------------------------------------------------------
n_step = str2num(get(handles.Step_FMI1,'String'));
if n_step >= 1
    delta_step = floor((d - FMFT_pick)/n_step);
    for rr = 1:n_step + 1
        fid = fopen(['inputAct1_',num2str(rr),'_',extstr,'.txt'], 'wt');
        fprintf(fid, '%14.10f %14.10f %14.10f\n',...
            [tau(((rr - 1)*delta_step + 1) : (rr - 1)*delta_step + FMFT_pick)';...
        q1(((rr - 1)*delta_step + 1) : (rr - 1)*delta_step + FMFT_pick);...
            p1(((rr - 1)*delta_step + 1) : (rr - 1)*delta_step + FMFT_pick)]);
        fclose(fid);
    end
end

%---------------------------------------------------------
n_step = str2num(get(handles.Step_FMI2,'String'));
if n_step >= 1
    delta_step = floor((d - FMFT_pick)/n_step);
    for rr = 1:n_step + 1
        fid = fopen(['inputAct2_',num2str(rr),'_',extstr,'.txt'], 'wt');
        fprintf(fid, '%14.10f %14.10f %14.10f\n',...
            [tau(((rr - 1)*delta_step + 1) : (rr - 1)*delta_step + FMFT_pick)';...
        q2(((rr - 1)*delta_step + 1) : (rr - 1)*delta_step + FMFT_pick);...
            p2(((rr - 1)*delta_step + 1) : (rr - 1)*delta_step + FMFT_pick)]);
        fclose(fid);
    end
end

%---------------------------------------------------------
n_step = str2num(get(handles.Step_FMI3,'String'));
if n_step >= 1
    delta_step = floor((d - FMFT_pick)/n_step);
    for rr = 1:n_step + 1
        fid = fopen(['inputAct3_',num2str(rr),'_',extstr,'.txt'], 'wt');
        fprintf(fid, '%14.10f %14.10f %14.10f\n',...
            [tau(((rr - 1)*delta_step + 1) : (rr - 1)*delta_step + FMFT_pick)';...
        q3(((rr - 1)*delta_step + 1) : (rr - 1)*delta_step + FMFT_pick);...
            p3(((rr - 1)*delta_step + 1) : (rr - 1)*delta_step + FMFT_pick)]);
        fclose(fid);
    end
end

%----------------- End FMI ----------------------------------------
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
